Jump to content
ElementaryOS France
  • 0
Christophe C

plank - zoom sur les icones

Question

Je vois que plank dans EOS n'a pas la fonction de zoom quand on passe sur les icônes.

En cherchant, je trouve une réponse sur le fait que c'est un patch EOS our éviter un brevet logiciel apple. Solution : utiliser le PPA de ricotz (mais c'était sous freya).

Marche pas dans loki. Je suppose que cela vient de la version EOS qui est numérotée 0.11.3, comme celle du PPA. Même N° de version = pas de mise à jour.

Question : comment faire pour récupérer cette fonctionnalité de zoom que j'aime bien ?

 

Share this post


Link to post
Share on other sites

11 answers to this question

Recommended Posts

  • 1

Bon, hier la mise à jour du PPA ricotz ne se faisait pas (ce qui me semblait logique, d'ailleurs), et ce matin elle se fait. Pas chercher à comprendre.

J'ai donc de nouveau la version officielle de plank (zoom sur les icônes rétablis), via un sudo add-apt-repository ppa:ricotz/docky

Share this post


Link to post
Share on other sites
  • 0

Le PPA est fonctionnel pour Juno.

sudo add-apt-repository ppa:ricotz/docky
sudo apt install plank
kill <PID PLANK>

f.php?h=2qVRa_sa&p=1

Share this post


Link to post
Share on other sites
  • 0
il y a 8 minutes, shivaa95 a dit :

Salut, le PPA est fonctionnel pour Juno seulement ?

Aussi disponible sur loki.

Share this post


Link to post
Share on other sites
  • 0

Comment cela se comporte an cas de mise à jour officielle de Plank par le système ? Il faudra voir...

Share this post


Link to post
Share on other sites
  • 0

Une autre possibilité pour ceux qui n'aiment pas les ppa

1) Désinstaller plank

sudo apt-get remove plank

2) l'arrêter puisqu'il tourne encore, perso j'ai pas réussi à exécuter ta commande  kill

donc j'ai tué la tâche en lançant top depuis le terminal , on peut utiliser un gestionnaire des tâches ou rebooter, chacun sa méthode préférée

3) installer docky et là on a le zoom par défaut et des options de config

En passant tout ça je crois que c'est un peu contraire à la direction officielle qui était d'intégrer le dock à elementary, mais voilà c'est comme pour le pannel dès qu'un truc nous est bloqué,on a comme envie de jouer à le débloquer, n'est-ce pas ...

Share this post


Link to post
Share on other sites
  • 0

Hello @Aris,

Le 03/09/2019 à 22:22, Aris a dit :

Comment cela se comporte an cas de mise à jour officielle de Plank par le système ? Il faudra voir...

Là c’est une bonne question, pour voir ce qu'il en est, la commande suivante permet de connaître les priorités sur les packages à déployer (un package maintenu sur deux repos avec une priorité identique.)

Par exemple, sur mon système, la commande suivante va te retourner le résultat ci dessous :

@nikos-desktop-juno:/etc/apt/sources.list.d# apt policy plank
plank:
  Installé : 0.11.4+git20190318.fb624c21-0elementary5.0.1
  Candidat : 0.11.4+git20190505.96bbb1d2-0ubuntu1~18.04~ricotz1
 Table de version :
     0.11.4+git20190505.96bbb1d2-0ubuntu1~18.04~ricotz1 500
        500 http://ppa.launchpad.net/ricotz/docky/ubuntu bionic/main amd64 Packages
 *** 0.11.4+git20190318.fb624c21-0elementary5.0.1 500
        500 http://ppa.launchpad.net/elementary-os/stable/ubuntu bionic/main amd64 Packages
        100 /var/lib/dpkg/status
     0.11.4-2 500
        500 http://fr.archive.ubuntu.com/ubuntu bionic/universe amd64 Packages

Pour moi, le package sera mis à jour depuis le PPA de ricotz.

Nikos

  • Like 1

Share this post


Link to post
Share on other sites
  • 0

Toutefois,

Métier oblige, pour les personnes qui débutent, je ne conseillerai pas de jouer avec un PPA tiers (vous allez me demander, mais pourquoi ?), et c'est vrai aussi dans le monde Pro IT : les nouveaux venus sur Linux voudront personnaliser leur environnement (et à raison) mais en installant un PPA tiers, il n'est pas interdit de se dire que celui-ci pourrait apporter des incompatibilités voir des bogues.

Indirectement, cela pourrait jouer en défaveur des concepteurs d'elementary OS.

Et dans le monde Pro IT ? installer un package EPEL sur une RHEL et avoir un bug dessus : 0 support RHEL sur le package qui bug.

Bref, tout ça pour dire : quand on débute, il vaut mieux rester sur une version vanilla, une fois l'expérience acquise (cf installation, compilation, gestion des versions...), il sera toujours bon de passer par des installation tierces.

Nikos

Share this post


Link to post
Share on other sites
  • 0
Il y a 20 heures, Nikos a dit :

Et dans le monde Pro IT ? installer un package EPEL sur une RHEL et avoir un bug dessus : 0 support RHEL sur le package qui bug.

Exactement, bon, ben je retourne à mon tricot... :wacko:

Share this post


Link to post
Share on other sites
  • 0
Il y a 4 heures, lafy a dit :

Exactement, bon, ben je retourne à mon tricot... :wacko:

:D je peux comprendre que ce n'est pas forcément compréhensible. Juste pour dire : faites attention avec les installations.

Share this post


Link to post
Share on other sites
  • 0

@NikosJ'ai pas pu m’empêcher de faire le pitre... contente que tu aies de l'humour ! Mais c'est vrai la moitié des problèmes de mises à jour proviennent de ppa.

De plus elementary ne donne pas graphiquement la liste des paquets utilisés, il faut installer synaptic et software-properties pour les voir donc c'est difficile à débugger pour un débutant.

Share this post


Link to post
Share on other sites
  • 0
il y a 12 minutes, lafy a dit :

De plus elementary ne donne pas graphiquement la liste des paquets utilisés,

Y a la possibilité de passer par Y PPA Manager si on ne souhaite pas passer par synaptic.

Share this post


Link to post
Share on other sites

Create an account or sign in to comment

You need to be a member in order to leave a comment

Create an account

Sign up for a new account in our community. It's easy!

Register a new account

Sign in

Already have an account? Sign in here.

Sign In Now

×
×
  • Create New...